export const colorLegend = (selection, props) => {
  const {
    colorScale,
    spacing,
    textOffset
  } = props;

  const groups = selection.selectAll('g')
    .data([50,52,54,56,58,60]);
  const groupsEnter = groups
    .enter().append('g')
      .attr('class', 'tick');
  groupsEnter
    .merge(groups)
      .attr('transform', (d, i) =>
        `translate(0, ${i * spacing})`
      );
  groups.exit().remove();

  groupsEnter.append('circle')
    .merge(groups.select('circle'))
      .attr('r', 15)
  		.attr('class','circleColorLeyend')
      .attr('fill',colorScale);

  groupsEnter.append('text')
    .merge(groups.select('text'))
      .text(d => d + '%')
  		.attr('class','textLeyend')
      .attr('dy', '0.32em')
      .attr('x', textOffset);
}